       function [srkm] =  elv2sr(elv,alt)
%
%         elevation angle to slant range
%    
%    input:
%              elv       elevation angle deg
%              alt       altitude in km
%
%    output:
%              srkm      slant range in km 
%
%         used  6378 km  as earth radius 
%
     elvr = (pi/180.0) * elv ;
%
     rearth =  6378.;
     res    =  rearth*rearth;
%
     ralt   = rearth + alt;
     ralts  = ralt.*ralt;
%
     beta   = elvr + pi/2.0;
     cbeta  = cos(beta);
     rcb    = rearth*cbeta;
     dissq  = rcb.*rcb + ralts - res;
     s      = rcb + sqrt ( dissq );
%
     num    = res + ralts - s.*s;
     dom    = 2.0*rearth*ralt;
     ctheta = num./dom;
%
     thetar = acos(ctheta);
%
     srkm   = rearth * thetar;
%
