      function [tmaxkm, tmaxd,elvmxd] = geolim (hkm, alt )
%
%         compute the limits to the geometry
%         input variables
%                        alt    alt km
%                        hkm    min horizontal offset
%                        
%
      rtd     =  180.0/pi;
      reuse = 6378. ;
%
      tmax    = 0.0;
%
      hcar    = hkm/reuse;
      hca     = rtd * hcar;
      elvmxd  = eca2elv (hca,alt);
%
      cecamax = reuse/(reuse+alt);
      if cecamax <= 1.0

           ecamaxr = acos (cecamax);
%
           chca    =  cos( hcar );
%
           ctmax   =  cecamax ./ chca;
%
           tmaxr   =  acos ( ctmax );
           tmax    =  reuse * tmaxr;
%
     end;
%
     tmaxkm  = tmax;
     tmaxd   = rtd * tmax/reuse;
%
     return;
